EDIT - bug #6998

Potential NPE with endless loop when switching type of description element in details view
09/29/2017 10:09 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal Found in Version:

Description

Norbert:

folgender Bug:

ich lege eine neue Distribution in den Faktendaten an und &ndere anschlieBend die Feldfunktion (?oder wie das heif3t) von
strukturiert in Freitext

Folge:

(1) Fehlermeldung unten

(2) Editor kann nur noch gewaltsam (Task Manager) geschlossen werden

(3) das schlimmste: nach neuerlichem Offnen: das KOntextmenu in den Fenstern Faktendaten und Medien wird nicht mehr
angezeigt, ich kann nun keine neue Distribution, Description oder was auch immer anfligen, das gibt sich auch nicht mehr durch

schlieBen und wiederdffnen, Computer neustarten, etc. bleibt kaputt. Hilft nur Neuinstallation.

Ich habe den Fehler eben genau so nach einer kompletten Neuinstallation reproduzieren kénnen.

Associated revisions

Revision 789bc46 - 09/29/2017 09:20 AM - Patrick Plitzner

Fix potential NPE and widget disposed exception

History

#1 - 09/29/2017 10:10 AM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 50

Fixed with taxeditor|f789bc46f5744{4f59c9ff83e5f7ea5483ea3869

#2 - 09/29/2017 01:52 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Patrick Plitzner

the NPE is now fixed but the descriptionElement details view does not update after switching to textData.
closing the factual data view and the taxon and reopening it, shows the correct result, but it seems that it does not work everytime.

#3 - 11/06/2017 05:03 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 70

The details view is now updated. Please review

#4 - 11/06/2017 05:04 PM - Patrick Plitzner
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/f789bc46f5744f4f59c9ff83e5f7ea5483ea3869

- Subject changed from Potential NPE wit endless loop when switching type of description element in details view to Potential NPE with endless loop
when switching type of description element in details view

#5 - 11/06/2017 05:08 PM - Andreas Miuller

- Status changed from Feedback to Resolved

#6 - 11/07/2017 12:14 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

works now.
